DownloadInstallationIntro

Elliott Slaughter edited this page Aug 7, 2016 · 3 revisions

Dependencies

The various Lispbuilder libraries depend on their respective C counterparts:

  • lispbuilder-sdl depends on SDL
  • lispbuilder-sdl-gfx depends on SDL_gfx
  • lispbuilder-sdl-image depends on SDL_image
  • lispbuilder-sdl-mixer depends on SDL_mixer
  • lispbuilder-sdl-ttf depends on SDL_ttf

Note: Currently lispbuilder-sdl only supports SDL 1.2. For SDL 2.0 support, see e.g. cl-sdl2.

Detailed instructions for Windows and macOS, Linux and BSD describe OS-specific issues.

Installing

All packages can be installed with Quicklisp. For example:

(ql:quickload :lispbuilder-sdl-examples)
(sdl-examples:mandelbrot)

Compatibility

Lispbuilder should be compatible with all modern Common Lisp implementations. Lispbuilder has been tested with SBCL, Clozure CL, CMUCL, CLISP, ECL, Lispworks, and Allegro.

If you are new to Common Lisp and don't know which implementation to choose, try SBCL. All the implementations above are good choices, but SBCL has a particularly active community.

Note: Clozure CL on macOS requires a single-threaded build to avoid thread safety issues with Cocoa.

You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.